<?php

require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;

require __DIR__ . '/includes/header.php';

include('./includes/db_connect.php');
$pdo = Database::connect();
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// Get all items that are already in database to compare with new ones.
$sql = 'SELECT uid FROM flight_offers where is_active = 1';
$q = $pdo->prepare($sql);
$q->execute();
$data = $q->fetchAll(PDO::FETCH_COLUMN, 0);
$old_items = array();
foreach ($data as $item) {
    $old_items[] = trim($item['name']);
}
print_r($old_items);
//exit();

/**  Create a new Reader of the type defined in $inputFileType  * */
//$reader = \PhpOffice\PhpSpreadsheet\IOFactory::createReader($inputFileType);

/**  Advise the Reader that we only want to load cell data  * */
//$reader->setReadDataOnly(true);


$inputFileType = 'Xlsx';
$inputFileName = __DIR__ . '/Offrd Offers.xlsx';
$sheetnames = ['Flights' => 'Flights', 'Hotels' => 'Hotels'];

$reader = IOFactory::createReader($inputFileType);
$reader->setLoadSheetsOnly($sheetnames);
$spreadsheet = $reader->load($inputFileName);

$worksheet = $spreadsheet->getSheetByName($sheetnames['Flights']);

// Get the highest row number and column letter referenced in the worksheet
$highestRow = $worksheet->getHighestRow(); // e.g. 10
$highestColumn = $worksheet->getHighestColumn(); // e.g 'F'
// Increment the highest column letter
$highestColumn++;

$sheetData = $worksheet->rangeToArray(
        'A4:' . $highestColumn . $highestRow, NULL, TRUE, FALSE
);
var_dump($sheetData);


//$startRow = 4;
//echo '<table>' . "\n";
//for ($row = $startRow; $row <= $highestRow; ++$row) {
//    echo '<tr>' . PHP_EOL;
//    for ($col = 'A'; $col != $highestColumn; ++$col) {
//        echo '<td>' .
//        $worksheet->getCell($col . $row)->getFormattedValue() .
//        '</td>' . PHP_EOL;
//    }
//    echo '</tr>' . PHP_EOL;
//}
//echo '</table>' . PHP_EOL;

//foreach ($sheetData as $single_item) {
//    echo $single_item[0] . '<br>';
//    if (in_array(trim($single_item['1']), $old_items)) {
////            echo '<br>Update - '.$single_item['0'];
//        $reg_data = array('company_id' => $company_id, 'description' => addslashes($single_item['2']), 'maker' => $single_item['3'], 'model' => $single_item['4'], 'hsn_code' => $single_item['5'], 'unit' => $single_item['6'], 'qty' => $single_item['7'], 'serial_number' => $single_item['8'], 'dop' => strtotime($single_item['9']), 'vendor_name' => $single_item['10'], 'mrp' => $single_item['11'], 'dtp' => $single_item['12'], 'ssp' => $single_item['13'], 'lastupdate_dttime' => $epochTime);
//        $db->update('nl_item_master', $reg_data, 'name="' . $single_item['1'] . '"'); // Table name, column names and values, WHERE conditions
//        $res = $db->getResult();
//    } else {
//        // echo '<br>Insert -' . $single_item['0'] . '<br>';
//        $reg_data = array('company_id' => $company_id, 'name' => addslashes($single_item['1']), 'description' => addslashes($single_item['2']), 'maker' => $single_item['3'], 'model' => $single_item['4'], 'hsn_code' => $single_item['5'], 'unit' => $single_item['6'], 'qty' => $single_item['7'], 'serial_number' => $single_item['8'], 'dop' => strtotime($single_item['9']), 'vendor_name' => $single_item['10'], 'mrp' => $single_item['11'], 'dtp' => $single_item['12'], 'ssp' => $single_item['13'], 'lastupdate_dttime' => $epochTime);
//        $db->insert('nl_item_master', $reg_data);  // Table name, column names and respective values
//        $res = $db->getResult();
//    }
//}