<?php

ini_set('max_execution_time', 600); //300 seconds = 5 minutes

use PhpOffice\PhpSpreadsheet\IOFactory;

require 'vendor/autoload.php';

$reader = IOFactory::createReader($inputFileType);
$reader->setLoadSheetsOnly($sheetnames);
$spreadsheet = $reader->load($inputFileName);

// Get all items that are already in database to compare with new ones.
$sql = 'SELECT uid FROM flight_offers';
$q = $pdo->prepare($sql);
$q->execute();
$data = $q->fetchAll(PDO::FETCH_ASSOC);
$old_items = array();
foreach ($data as $item) {
    $old_items[] = trim($item['uid']);
}

//print_r($old_items);
$worksheet = $spreadsheet->getSheetByName($sheetnames['Flights']);

// Get the highest row number and column letter referenced in the worksheet
$highestRow = $worksheet->getHighestRow(); // e.g. 10
$highestColumn = $worksheet->getHighestColumn(); // e.g 'F'
// Increment the highest column letter
$highestColumn++;

$sheetData = $worksheet->rangeToArray(
        'A4:' . $highestColumn . $highestRow, NULL, TRUE, TRUE
);
//var_dump($sheetData);

foreach ($sheetData as $si) {
//    echo $si[0] . '<br>';
    if (in_array(trim($si['0']), $old_items)) {
//        echo '<br>Update - ' . $si['0'];
        if (strtolower(trim($si['14'])) == 'ongoing') {
            $si['14'] = 1;
        } else if (trim($si['14']) == 'N/A' || trim($si['14']) == '') {
            $si['14'] = 0;
        } else {
            $si['14'] = dmy_to_unix($si['14']);
        }
        if (strtolower(trim($si['15'])) == 'ongoing') {
            $si['15'] = 1;
        } else if (trim($si['15']) == 'N/A' || trim($si['15']) == '') {
            $si['15'] = 0;
        } else {
            $si['15'] = dmy_to_unix($si['15']);
        }
        $sql = "UPDATE flight_offers set bank_wallets=?, mode_of_payment=?, merchant_site=?, booking_day=?, time_period=?, type_of_flight=?, cashback_or_discount=?, cashback_discount_amt=?, booking_start_date=?, booking_end_date=?, minimum_amt_of_booking=?, device_applicable=?, specific_terms=?, general_terms=?, coupon_code=?, travel_period=?, additional_info_link=?, is_active=?, partner_image=?, partner_url=? "
                . "WHERE uid = '" . $si['0'] . "'";
        $q = $pdo->prepare($sql);
        $q->execute(array($si['5'], $si['6'], $si['3'], $si['2'], $si['1'], $si['7'], $si['11'], $si['8'], $si['14'], $si['15'], $si['9'], $si['10'], addslashes($si['12']), addslashes($si['13']), $si['4'], $si['16'], $si['17'], (int) $si['18'], $si['19'], $si['20']));
    } else if(trim($si['0']) != '') {
//        echo '<br>Insert -' . $si['0'] . '<br>';
//        echo $si['14'].' - '.$si['15'].'<br>';
        if (strtolower(trim($si['14'])) == 'ongoing') {
            $si['14'] = 1;
        } else if (trim($si['14']) == 'N/A' || trim($si['14']) == '') {
            $si['14'] = 0;
        } else {
            $si['14'] = dmy_to_unix($si['14']);
        }
        if (strtolower(trim($si['15'])) == 'ongoing') {
            $si['15'] = 1;
        } else if (trim($si['15']) == 'N/A' || trim($si['15']) == '') {
            $si['15'] = 0;
        } else {
            $si['15'] = dmy_to_unix($si['15']);
        }
        $sql = "INSERT INTO flight_offers (uid, bank_wallets, mode_of_payment, merchant_site, booking_day, time_period, type_of_flight, cashback_or_discount, cashback_discount_amt, booking_start_date, booking_end_date, minimum_amt_of_booking, device_applicable, specific_terms, general_terms, coupon_code, travel_period, additional_info_link, is_active, partner_image, partner_url)
            values(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        $q = $pdo->prepare($sql);
        $q->execute(array($si['0'], $si['5'], $si['6'], $si['3'], $si['2'], $si['1'], $si['7'], $si['11'], $si['8'], $si['14'], $si['15'], $si['9'], $si['10'], $si['12'], $si['13'], $si['4'], $si['16'], $si['17'], (int) $si['18'], $si['19'], $si['20']));
    }
}
?>